<?php
// +---------------------------------------------------------------------------+
// | Privmessages module 1.1.0 for Geeklog - The Ultimate Weblog               |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the following authors:                              |
// |                                                                           |
// | Author: Roman Taran    - romantaran@yandex.ru                             |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

//include_once('../config.php');
include_once('../lib-common.php');
include_once('config.php');
include_once('language/' . $pm_language);
include_once('functions.inc');
global $_USER, $_CONF;
$uid = $_USER['uid'];


if (!SEC_inGroup('Logged-in Users')){
    $display .= COM_siteHeader();
    $display .= COM_startBlock('Access Denied');
    $display .= $lang_pm[access_denied_msg];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true); 
    echo $display;
    exit;
}

$display = COM_siteHeader('', $lang_pm[pm]);
###############################################################################
///////////////////////////////////////////////////////////
//  
// Removal of messages
///////////////////////////////////////////////////////////

if(isset($action) && $action=="delete_all") {
        $query = "DELETE FROM privmessages WHERE to_uid = $uid";
        $result = DB_query($query);
        $pmsm = '5';
}
elseif(isset($action) && $action=="delete" && isset($message_id)) {
        $query = "DELETE FROM privmessages WHERE message_id = $message_id AND to_uid = $uid";
        $result = DB_query($query);
        $pmsm = '4';
}

///////////////////////////////////////////////////////////
//   
// Check for incoming messages
///////////////////////////////////////////////////////////
    $query = "SELECT * FROM privmessages WHERE to_uid = $uid ORDER BY date DESC";
    $result = DB_query($query);

if(DB_numRows($result) >= $pm_max_number) { //     
	$pmsm = '6';
}
///////////////////////////////////////////////////////////
//  
// System message
///////////////////////////////////////////////////////////
if(isset($pmsm)) {
        $display .= '<table border=0 cellspacing=0 cellpadding=3><tr><td><img src="/images/sysmessage.gif" width="24" height="24" border="0"></td><td><b>' . $lang_pm["pmsm" . "$pmsm"] . '</b></td></tr></table>';
}


///////////////////////////////////////////////////////////
//   
// Dropdown userlist
///////////////////////////////////////////////////////////
$display .= COM_startBlock($lang_pm[write]);
$pm_userlist = get_userlist ();

$display .= '<br><form name="form1" method="get" action="compose.php"><select name="to_uid"><option selected value="">' . $lang_pm[select_user] . '</option>';
      
      foreach($pm_userlist as $key=>$val) {
      	$display .=('<option value="' . $val[uid] . '">' . $val[username] . ' (' . $val[fullname] . ')</option>'. "\n");
      }
      
$display .= '</select>&nbsp;<input type="submit" value="' . $lang_pm[select] . '"></form>';
$display .= COM_endBlock();
///////////////////////////////////////////////////////////
 //   
 // Table of incoming messages
 //////////////////////////////////////////////////////////

$display .= COM_startBlock($lang_pm[incoming]);
if(DB_numRows($result) == 0) { //   
	$display .= '<p class="smalltext">' . $lang_pm[nomess] . '</p>';
    $display .= COM_endBlock();
}
else {
        $display .= '<script language="JavaScript">
        <!--
            function confirm_entry()
            {
            input_box=confirm("' . $lang_pm[delete_all_confirm] . '");
            if (input_box==true)

            { 
            // Output when OK is clicked
            location.replace("index.php?action=delete_all");
            }
            }
        //-->
        </script>';
        $display .= '<p class="smalltext">' . $lang_pm[num] . '<b>' . DB_numRows($result) . '</b>. ' . $lang_pm[maxnum] . '<b>' . $pm_max_number . '</b>.</p>';
        
       $display .= '<table border="0" width="100%" cellspacing="1" cellpadding="4"><tr bgcolor="'.$table_color[3].'"><td width="25">&nbsp;</td><td align="center" width="120"><b>' . $lang_pm[from] . '</b></td><td align="center""><b>' . $lang_pm[theme] . '</b></td><td width="130" align="center"><b>' . $lang_pm[date] . '</b></td><td width="25"><a href="JavaScript:confirm_entry()">' . $lang_pm[delete_all] . '</a></td></tr>';

    for ($i=0; $i<DB_numRows($result); $i++)
    {
        if(is_integer($i/2)) { //     . Table rows color
            $trcol = $table_color[1];
        }
        else {
            $trcol = $table_color[2];
        }
        
        $f = DB_fetchArray($result);
        $pm_username=get_username ($f[from_uid]);
        
        //   
        // if the message is old or new
        if($f[status] == "1") {
            $status = $lang_pm[newpm];
        }
        else {
            $status = $lang_pm[oldpm];
        }
        
        $display .= '<tr bgcolor="'.$trcol.'">';
        $display .= '<td width=25>' . $status . '</td><td width="120"><a href="../users.php?mode=profile&uid=' . $f[from_uid] . '" title="' . $lang_pm[profile] . '">' . $pm_username . '</a></td><td onmouseover="this.style.cursor=\'hand\';" onclick="window.location.href=\'viewmessage.php?message_id=' . $f[message_id] . '\'; this.style.cursor=\'hand\';"><a href="viewmessage.php?message_id=' . $f[message_id] . '" title="' . $lang_pm[review] . '">'  . $f[theme] . '</a></td><td align="center" width="130">' . $f[date] . '</td><td width="25"><a href="index.php?message_id=' . $f[message_id] . '&action=delete">' . $lang_pm[delete] . '</a></td>';
        $display .= "</tr>";
    }
    $display .= "</table>";
    $display .= COM_endBlock();
}
###############################################################################
$display .= COM_siteFooter (false); // The true value enables right hand blocks.
echo $display;
?>