<?php
// +---------------------------------------------------------------------------+
// | Privmessages module 1.1.0 for Geeklog - The Ultimate Weblog               |
// +---------------------------------------------------------------------------+
// | install.php                                                               |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the following authors:                              |
// |                                                                           |
// | Author: Roman Taran    - romantaran@yandex.ru                             |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
//include_once('../config.php');
include_once('../lib-common.php');
include_once('config.php');
include_once('language/' . $pm_language);
$uid = $_USER['uid'];

global $_USER, $_CONF;

if (!SEC_inGroup('Root')){
    $display .= COM_siteHeader();
    $display .= COM_startBlock('Access Denied');
    $display .= $lang_pm[access_denied_msg];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true); 
    echo $display;
    exit;
}

$display = COM_siteHeader('', $pm);
$display .= COM_startBlock('Privmessages module installation');
###############################################################################

if($action == 'install') {
            $ct = DB_query("
        CREATE TABLE IF NOT EXISTS privmessages 
        (
        message_id mediumint(8) NOT NULL AUTO_INCREMENT, 
        PRIMARY KEY (message_id),
        from_uid mediumint(8) NOT NULL, 
        to_uid mediumint(8) NOT NULL, 
        theme varchar(255) NOT NULL, 
        message text NOT NULL, 
        date varchar(20) NOT NULL, 
        status smallint(1) NOT NULL default '1'
        )
        ");
        if($ct) {
            $display .= 'The table \'privmessages\' was created successfully.<br><a href="index.php">' . $lang_pm[home] . '</a>';
        }
        else {
            $display .= 'Error. The table was NOT created';
        }

}
elseif($action == 'uninstall') {
            $ct = DB_query("
        DROP TABLE privmessages 
        ");
        if($ct) {
            $display .= 'The table \'privmessages\' was DELETED successfully.';
        }
        else {
            $display .= 'Error. The table was NOT DELETED';
        }
}
else {
    $display .= '<br><p><a href="install.php?action=install">Install</a></p>';
    $display .= '<p><a href="install.php?action=uninstall">Uninstall</a></p>';
}
###############################################################################
$display .= COM_endBlock();
$display .= COM_siteFooter (false); // The true value enables right hand blocks.
echo $display;
?>