<?php
// +---------------------------------------------------------------------------+
// | Privmessages module 1.1.0 for Geeklog - The Ultimate Weblog               |
// +---------------------------------------------------------------------------+
// | compose.php                                                               |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the following authors:                              |
// |                                                                           |
// | Author: Roman Taran    - romantaran@yandex.ru                             |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
//include_once('../config.php');
include_once('../lib-common.php');
include_once('config.php');
include_once('language/' . $pm_language);
include_once('functions.inc');
$uid = $_USER['uid'];
global $_USER, $_CONF;

if (!SEC_inGroup('Logged-in Users')){
    $display .= COM_siteHeader('', $lang_pm[pm]);
    $display .= COM_startBlock($lang_pm[access_denied]);
    $display .= $lang_pm[access_denied_msg];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true); 
    echo $display;
    exit;
}

$display = COM_siteHeader('', $lang_pm[pm]);
###############################################################################
//    $to_uid
if(!isset($to_uid) or $to_uid == "" or $to_uid == $uid) {
    echo COM_refresh( 'index.php?pmsm=7' );
    exit;
}
    //,     ..
foreach($users_no_pm as $key=>$val) {
    if($to_uid == $val) {
    echo COM_refresh( 'index.php?pmsm=8&to_uid=' . $to_uid );
    exit;
    }	
}
////////     
    $query = "SELECT * FROM privmessages WHERE to_uid = $to_uid ORDER BY date DESC";
    $result = DB_query($query);

    if(DB_numRows($result) >= $pm_max_number) {
        echo COM_refresh( 'index.php?pmsm=9&to_uid=' . $to_uid );
        exit;
    }
//////   
if($action == 'reply') {
        $result = DB_query( "SELECT * FROM privmessages WHERE message_id = $message_id AND to_uid = $uid" );
        $lastpost = DB_fetchArray($result);
        $pm_theme = $lastpost[theme];
        $last_message =  "<b>" . get_username($lastpost[from_uid]) . "</b> <font size=\"-1\" color=\"gray\">(" . $lastpost[date] . ")</font> " . $lastpost[message];
	
}
//   
if (!empty ($pm_theme) && !empty ($message) && isset($_REQUEST['go'])){
//  HTML-
    $pm_theme = htmlspecialchars($pm_theme);
    $pm_theme = trim($pm_theme);
    $search = array("\n", '\'', "$");
    $replace = array("<br>\n", "", "~");
    if(isset($textonly)) {
        $message = htmlspecialchars($message);
        $message = str_replace($search, $replace, $message);
    }
    else {
        $message = str_replace($search, $replace, $message);
        $message = strip_tags($message, "<a><b><i><u><pre><code><br><p>");
    }
    $message = trim($message);
    $message = '<blockquote>' . $message . '</blockquote>' . $last_message;

//   
        $query = "INSERT INTO privmessages ( to_uid, from_uid, theme, message, date ) values ( '$to_uid', '$from_uid', '$pm_theme', '$message', '$pm_date' )";
        $result = DB_query($query);
        $pmsm = '1'; //  
// 
    if(isset($sent_email)) {
        $pm_notif = email_notification($to_uid);
            if($pm_notif) {
                $pmsm = '2'; // 
            }
            else {
                $pmsm = '3'; //   - 
            }
    }
    echo COM_refresh( 'index.php?pmsm=' . $pmsm );
    exit;
}

else {
    $display .= COM_startBlock($lang_pm[pmfor] . get_username($to_uid) . ' ' . strtolower($lang_pm[from]) . ' '. $_USER['username']);
    echo $display;
?>
<!-- HTML -->
<br><form action="<?= $PHP_SELF; ?>" method="POST" name="pm">
<script language=JavaScript 1.2 src="javascript/compose.js"></script>  

<table cellspacing="0" cellpadding="2" border="0" width="400">
    <tr>
      <td><?= $lang_pm[theme] ?></td>
      <td><input type="text" name="pm_theme" size="50" maxlength="200" value="<? echo $pm_theme; ?>"></td>
    </tr>
    <tr>
      <td></td>
      <td nowrap="nowrap"><?= $tags ?>&nbsp;<input type="checkbox" name="textonly" align="absbottom">&nbsp;<?= $lang_pm[textonly] ?></td>
    </tr>
    <tr>
      <td valign="top"><?= $lang_pm[text] ?>
      <br> <br>
<!--  -->
<?= $smilies ?>
      </td>
      <td><textarea name="message" wrap="physical" rows="10" cols="50" onselect="storeCaret(this);" onclick="storeCaret(this);" onkeyup="storeCaret(this);"><? echo $message; ?></textarea></td>
    </tr>
    <tr>
        <td></td><td><input type="checkbox" name="sent_email">&nbsp;<?= $lang_pm[send_email] ?></td>
    </tr>
    <tr>
        <td></td><td><input type="submit" name="go" value="<?= $lang_pm[send] ?>"></td>
    </tr>
  </table>
        <input type="hidden" name="from_uid" value="<? echo $_USER['uid']; ?>">
        <input type="hidden" name="to_uid" value="<? echo $to_uid; ?>">
        <?
        
        if($action == 'reply') {
        	echo '<input type="hidden" name="message_id" value="' . $message_id . '">';
        	echo '<input type="hidden" name="action" value="reply">';
        }
        
        ?>
</form>


<?
echo COM_endBlock();

    if($action == 'reply') {
    echo COM_startBlock() . $last_message = pm_format($last_message) . COM_endBlock();
    }
}
###############################################################################
echo COM_siteFooter (false); // The true value enables right hand blocks.
?>