<?php
// +---------------------------------------------------------------------------+
// | Privmessages module 1.1.0 for Geeklog - The Ultimate Weblog               |
// +---------------------------------------------------------------------------+
// | functions.inc                                                             |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 by the following authors:                              |
// |                                                                           |
// | Author: Roman Taran    - romantaran@yandex.ru                             |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
function get_username ($uid) {
    global $_TABLES, $_CONF;
	$result = DB_query( "SELECT uid, username FROM {$_TABLES['users']} WHERE uid = $uid" );
	$pm_username = DB_fetchArray($result);
	return $pm_username[username];
}

function get_userlist () {
    global $_TABLES, $_CONF;
	$result = DB_query( "SELECT uid, username, fullname FROM {$_TABLES['users']} WHERE uid > 1 ORDER BY username ASC");
for($pm_userlist = array(); $row = DB_fetchArray($result); $pm_userlist[] = $row);
	return $pm_userlist;
}

function email_notification($to_uid) {
	global $_TABLES, $_CONF, $lang_pm, $email_notification_from;
	$result = DB_query( "SELECT username, email FROM {$_TABLES['users']} WHERE uid = $to_uid" );
	$mailto = DB_fetchArray($result);
    $email_notification_text = $lang_pm[hello] . $mailto[username] . "! \n" . $lang_pm[email_notification_text];
    
    	$pm_notif = mail($mailto[email], $lang_pm[email_notification_subj], $email_notification_text, "From: $email_notification_from");
    return $pm_notif;
}

// Function from Forum plugin v.2.3 <http://www.portalparts.com>
function pm_format($message) {
    
    $search = array(":D", ":)", ":(", "8O", ":?", "B)", ":lol:", ":x", ":P" ,":oops:", ":o",":cry:", 
        ":evil:", ":twisted:", ":roll:", ";)", ":!:", ":question:", ":idea:", ":arrow:", ":|",
        ":mrgreen:","", "~"); 
    $replace = array(
    "<img align=absmiddle src='images/smilies/biggrin.gif' alt='Big Grin'>", 
      "<img align=absmiddle src='images/smilies/smile.gif' alt='Smile'>", 
    "<img align=absmiddle src='images/smilies/frown.gif' alt='Frown'>",
    "<img align=absmiddle src='images/smilies/eek.gif' alt='Eek!'>",
    "<img align=absmiddle src='images/smilies/confused.gif' alt='Confused'>", 
    "<img align=absmiddle src='images/smilies/cool.gif' alt='Cool'>", 
    "<img align=absmiddle src='images/smilies/lol.gif' alt='Laughing Out Loud'>",
    "<img align=absmiddle src='images/smilies/mad.gif' alt='Angry'>", 
    "<img align=absmiddle src='images/smilies/razz.gif' alt='Razz'>",
    "<img align=absmiddle src='images/smilies/redface.gif' alt='Oops!'>",
    "<img align=absmiddle src='images/smilies/surprised.gif' alt='Surprised!'>",
    "<img align=absmiddle src='images/smilies/cry.gif' alt='Cry'>",
    "<img align=absmiddle src='images/smilies/evil.gif' alt='Evil'>",
    "<img align=absmiddle src='images/smilies/twisted.gif' alt='Twisted Evil'>",
    "<img align=absmiddle src='images/smilies/rolleyes.gif' alt='Rolling Eyes'>",
    "<img align=absmiddle src='images/smilies/wink.gif' alt='Wink'>",
    "<img align=absmiddle src='images/smilies/exclaim.gif' alt='Exclaimation'>", 
    "<img align=absmiddle src='images/smilies/question.gif' alt='Question'>", 
    "<img align=absmiddle src='images/smilies/idea.gif' alt='Idea'>", 
    "<img align=absmiddle src='images/smilies/arrow.gif' alt='Arrow'>", 
    "<img align=absmiddle src='images/smilies/neutral.gif' alt='Neutral'>", 
    "<img align=absmiddle src='images/smilies/mrgreen.gif' alt='Mr. Green'>", "'", "$");
    
    $message = str_replace($search, $replace, $message);

    ///////////////////////////////////////////////////////
    return $message;
}

$smilies = <<<HTML
<table cellspacing="4" cellpadding="0">
<tr>
	<td><a href="javascript:emoticon(':D')"><img align=absmiddle src="images/smilies/biggrin.gif" alt="Big Grin" title="Big Grin" border="0""/></a></td>
	<td><a href="javascript:emoticon(':)')"><img align=absmiddle src="images/smilies/smile.gif" alt="Smile" title="Smile" border="0" /></a></td>
	<td><a href="javascript:emoticon(':(')"><img align=absmiddle src="images/smilies/frown.gif" alt="Frown" title="Frown" border="0" /></a></td>
	<td><a href="javascript:emoticon('8O')"><img align=absmiddle src="images/smilies/eek.gif" alt="Eek!" title="Eek" border="0" /></td>
</tr>
<tr>
	<td><a href="javascript:emoticon(':?')"><img align=absmiddle src="images/smilies/confused.gif" alt="Confused" title="Confused" border="0" /></td>
	<td><a href="javascript:emoticon('B)')"><img align=absmiddle src="images/smilies/cool.gif" alt="Cool" title="Cool" border="0" /></a></td>
	<td><a href="javascript:emoticon(':lol:')"><img align=absmiddle src="images/smilies/lol.gif" alt="Laughing Out Loud" title="Laughing Out Loud" border="0" /></a></td>
	<td><a href="javascript:emoticon(':x')"><img align=absmiddle src="images/smilies/mad.gif" alt="Angry" title="Angry" border="0" /></a></td>
</tr>
<tr>
	<td><a href="javascript:emoticon(':P')"><img align=absmiddle src="images/smilies/razz.gif" alt="Razz" title="Razz" border="0" /></a></td>
	<td><a href="javascript:emoticon(':oops:')"><img align=absmiddle src="images/smilies/redface.gif" alt="Oops!" title="Oops!" border="0" /></a></td>
	<td><a href="javascript:emoticon(':o')"><img align=absmiddle src="images/smilies/surprised.gif" alt="Surprised!" title="Surprised!" border="0" /></a></td>
	<td><a href="javascript:emoticon(':cry:')"><img align=absmiddle src="images/smilies/cry.gif" alt="Cry" title="Cry" border="0" /></a></td>
</tr>
<tr>
	<td><a href="javascript:emoticon(':evil:')"><img align=absmiddle src="images/smilies/evil.gif" alt="Evil" title="Evil" border="0" /></a></td>
	<td><a href="javascript:emoticon(':twisted:')"><img align=absmiddle src="images/smilies/twisted.gif" alt="Twisted Evil" title="Twisted Evil" border="0" /></a></td>
	<td><a href="javascript:emoticon(':roll:')"><img align=absmiddle src="images/smilies/rolleyes.gif" alt="Rolling Eyes" title="Rolling Eyes" border="0" /></a></td>
	<td><a href="javascript:emoticon(';)')"><img align=absmiddle src="images/smilies/wink.gif" alt="Wink" title="Wink" border="0" /></a></td>
</tr>
<tr>
	<td><a href="javascript:emoticon(':!:')"><img align=absmiddle src="images/smilies/exclaim.gif" alt="Exclaimation" title="Exclaimation" border="0" /></a></td>
	<td><a href="javascript:emoticon(':question:')"><img align=absmiddle src="images/smilies/question.gif" alt="Question" title="Question" border="0" /></a></td>
	<td><a href="javascript:emoticon(':idea:')"><img align=absmiddle src="images/smilies/idea.gif" alt="Idea" title="Idea" border="0" /></a></td>
	<td><a href="javascript:emoticon(':arrow:')"><img align=absmiddle src="images/smilies/arrow.gif" alt="Arrow" title="Arrow" border="0" /></a></td>
</tr>
<tr>
	<td><a href="javascript:emoticon(':|')"><img align=absmiddle src="images/smilies/neutral.gif" alt="Neutral" title="Neutral" border="0" /></a></td>
	<td><a href="javascript:emoticon(':mrgreen:')"><img align=absmiddle src="images/smilies/mrgreen.gif" alt="Mr. Green" title="Mr. Green" border="0" /></a></td>
	<td></td>
	<td></td>
</tr>
</table>
HTML;


$tags = <<<HTML
<input type="button" class="button" accesskey="b" name="addbbcode0" value=" B " style="font-weight:bold; width: 30px" onClick="bbstyle(0)">
<input type="button" class="button" accesskey="i" name="addbbcode2" value=" I " style="font-style:italic; width: 30px" onClick="bbstyle(2)">
<input type="button" class="button" accesskey="u" name="addbbcode4" value=" U " style="text-decoration: underline; width: 30px" onClick="bbstyle(4)">
<input type="button" class="button" accesskey="w" name="addbbcode10" value="URL" style="text-decoration: underline; width: 40px" onClick="bbstyle(10)">
<a href="javascript:bbstyle(-1)">$lang_pm[close_tags]</a>
HTML;

?>